%global pkg riece
%global pkgname Riece

Name:		emacs-common-%{pkg}
Version:	7.0.3
Release:	1%{?dist}
Summary:	Yet Another IRC Client for Emacs and XEmacs

Group:		Applications/Internet
License:	GPLv2+
URL:		http://riece.nongnu.org
Source0:	http://dl.sv.gnu.org/releases/%{pkg}/%{pkg}-%{version}.tar.gz
Patch0:		riece-xemacs.patch

BuildArch:	noarch
BuildRequires:	emacs-nox, xemacs, texinfo-tex
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Riece is an IRC client for Emacs.

Riece provides the following features:

- Several IRC servers may be used at the same time.
- Essential features can be built upon the extension framework (called
  "add-on") capable of dependency tracking.
- Installation is easy.  Riece doesn't depend on other packages.
- Setup is easy.  Automatically save/restore the configuration.
- Riece uses separate windows to display users, channels, and
  dialogues.  The user can select the window layout.
- Step-by-step instructions (in info format) are included.
- Mostly compliant with RFC 2812.

%package -n emacs-%{pkg}
Summary:	Compiled elisp files to run %{pkgname} under GNU Emacs
Group:		Applications/Internet
Requires:	emacs(bin) >= %{_emacs_version}
Requires:	emacs-common-%{pkg} = %{version}-%{release}

%description -n emacs-%{pkg}
This package contains the byte compiled elisp packages to run
%{pkgname} with GNU Emacs.


%package -n emacs-%{pkg}-el
Summary:	Elisp source files for %{pkgname} under GNU Emacs
Group:		Applications/Internet
Requires:	emacs-%{pkg} = %{version}-%{release}

%description -n emacs-%{pkg}-el
This package contains the elisp source files for %{pkgname} under GNU
Emacs. You do not need to install this package to run
%{pkgname}. Install the emacs-%{pkg} package to use %{pkgname} with
GNU Emacs.


%package -n xemacs-%{pkg}
Summary:	Compiled elisp files to run %{pkgname} under XEmacs
Group:		Applications/Internet
Requires:	xemacs(bin) >= %{_xemacs_version}
Requires:	emacs-common-%{pkg} = %{version}-%{release}

%description -n xemacs-%{pkg}
This package contains the byte compiled elisp packages to use
%{pkgname} with XEmacs.


%package -n xemacs-%{pkg}-el
Summary:	Elisp source files for Riece under XEmacs
Group:		Applications/Internet
Requires:	xemacs-riece = %{version}-%{release}

%description -n xemacs-%{pkg}-el
This package contains the elisp source files for %{pkgname} under
XEmacs. You do not need to install this package to run
%{pkgname}. Install the xemacs-%{pkg} package to use %{pkgname} with
XEmacs.

%prep
%setup -q -n %{pkg}-%{version}
%patch0 -p1 -b .xemacs

%build
%configure
cat > %{name}-init.el <<"EOF"
(autoload 'riece "riece" "Start Riece" t)
EOF

%install
make -C doc install infodir=$RPM_BUILD_ROOT%{_infodir}
# don't package but instead update in pre and post
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# byte-compile & install elisp files with emacs
make -C lisp EMACS=emacs
make -C lisp install EMACS=emacs lispdir=$RPM_BUILD_ROOT%{_emacs_sitelispdir}
%__mkdir_p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
install -m 644 %{name}-init.el $RPM_BUILD_ROOT%{_emacs_sitestartdir}/%{pkg}-init.el
make -C lisp clean

# byte-compile & install elisp files with xemacs
%__mkdir_p $RPM_BUILD_ROOT%{_xemacs_sitepkgdir}/etc/%{pkg}
make -C lisp EMACS=xemacs
make -C lisp install EMACS=xemacs lispdir=$RPM_BUILD_ROOT%{_xemacs_sitelispdir}

# move data files installed in site-lisp, to sitepkgdir
mv $RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{pkg}/*.rb \
	$RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{pkg}/*.xpm \
	$RPM_BUILD_ROOT%{_xemacs_sitepkgdir}/etc/%{pkg}/
%__mkdir_p $RPM_BUILD_ROOT%{_xemacs_sitestartdir}
install -m 644 %{name}-init.el $RPM_BUILD_ROOT%{_xemacs_sitestartdir}/%{pkg}-init.el


%post
/sbin/install-info %{_infodir}/riece-en.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/riece-ja.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/riece-en.info.gz \
	%{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/riece-ja.info.gz \
	%{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc README README.ja NEWS NEWS.ja AUTHORS COPYING
%doc %{_infodir}/*.gz


%files -n emacs-riece
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/riece/*.elc
%{_emacs_sitelispdir}/riece/*.xpm
%{_emacs_sitelispdir}/riece/*.rb
%{_emacs_sitestartdir}/*.el
%dir %{_emacs_sitelispdir}/riece


%files -n emacs-riece-el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/riece/*.el


%files -n xemacs-riece
%defattr(-,root,root,-)
%{_xemacs_sitelispdir}/riece/*.elc
%{_xemacs_sitepkgdir}/etc/riece/*.rb
%{_xemacs_sitepkgdir}/etc/riece/*.xpm
%{_xemacs_sitestartdir}/*.el
%dir %{_xemacs_sitelispdir}/riece


%files -n xemacs-riece-el
%defattr(-,root,root,-)
%{_xemacs_sitelispdir}/riece/*.el


%changelog
* Wed Mar 16 2011 Daiki Ueno <dueno@redhat.com> - 7.0.3-1
- new upstream release
- add riece-xemacs.patch to compile with XEmacs 21.5
- remove deprecated BuildRoot stuff

* Mon May 31 2010 Daiki Ueno <dueno@redhat.com> - 7.0.0-1
- new upstream release.

* Fri Apr 16 2010 Daiki Ueno <dueno@redhat.com> - 6.1.0-3
- fix typo; define and use pkgname for readability.

* Tue Apr  6 2010 Daiki Ueno <ueno@unixuser.org> - 6.1.0-2
- change the encoding of Japanese docs to UTF-8.

* Mon Apr  5 2010 Daiki Ueno <ueno@unixuser.org> - 6.1.0-1
- initial packaging for Fedora.
